Skip to content

Getting Nodes

Nodes and node changes (i.e. nodes throughout revisions on a timeline) can be queried for. Read more about nodes here. To get the project ID and node ID, see this guide.

HTTPS GET
https://api.konstellat.io/api/v1/project/{{projectId}}/node/{{nodeId}}
Query parameters
Name Type Note
projectId  * string Project ID
nodeId  * string Node ID
* Required
Required permissions
  • GetProject
  • GetConstellationNode
Example response body
JSON
{
"id": "root",
"name": "Awesome App",
"description": "",
"versionValue": "77b76d11",
"versionSchema": "Hash",
"statusResult": "Success",
"statusStrategy": "AllSuccess",
"stamp": {
"author": "Actor (system@konstellat.io)",
"timestamp": "2026-02-07T07:04:12.8460605Z",
"message": "Update status for node f9e31cf3"
},
"children": ["276f4e36", "f9e31cf3"],
"metadata": {
"kio.pos.x": {
"float": 0
},
"kio.pos.y": {
"float": 0
}
}
}
HTTPS GET
https://api.konstellat.io/api/v1/project/{{projectId}}/node/{{nodeId}}/list
Query parameters
Name Type Note
projectId  * string Project ID
nodeId  * string Node ID
depth  ** int Maximum changes to iterate through
skip  ** int How many changes to skip
count  ** int Maximum changes to return
* Required
** Read more about pagination here
Required permissions
  • GetProject
  • GetConstellationNode
Example response body
JSON
[
{
"id": "root",
"name": "Awesome App",
"description": "",
"versionValue": "77b76d11",
"versionSchema": "Hash",
"statusResult": "Success",
"statusStrategy": "AllSuccess",
"children": ["276f4e36", "f9e31cf3"],
"metadata": {
"kio.pos.x": {
"float": 0
},
"kio.pos.y": {
"float": 0
}
},
"stamp": {
"author": "Actor (system@konstellat.io)",
"timestamp": "2026-02-07T07:04:12.8460605Z",
"message": "Update status for node f9e31cf3"
},
"hash": "0fd5c374b271eb0990333bea8a8a55046d29a3659841cce5fc59acdfa1176543"
},
{
"id": "root",
"name": "Awesome App",
"description": "",
"versionValue": "77b76d11",
"versionSchema": "Hash",
"statusResult": "Failure",
"statusStrategy": "AllSuccess",
"children": ["276f4e36", "f9e31cf3"],
"metadata": {
"kio.pos.x": {
"float": 0
},
"kio.pos.y": {
"float": 0
}
},
"stamp": {
"author": "Actor (system@konstellat.io)",
"timestamp": "2026-02-07T07:04:02.7821648Z",
"message": "Update version for node f9e31cf3"
},
"hash": "c950c55e4bbb205bb6c55753d4cdf0919e8727780852f87b5ffaec09b16610e2"
},
{
"id": "root",
"name": "Awesome App",
"description": "",
"versionValue": "89f74542",
"versionSchema": "Hash",
"statusResult": "Failure",
"statusStrategy": "AllSuccess",
"children": ["276f4e36", "f9e31cf3"],
"metadata": {
"kio.pos.x": {
"float": 0
},
"kio.pos.y": {
"float": 0
}
},
"stamp": {
"author": "Actor (system@konstellat.io)",
"timestamp": "2026-02-07T07:03:52.6927054Z",
"message": "Update status for node f9e31cf3"
},
"hash": "610f82f9d679f45ac3f2278af7a4557e78289c99480e0e6f6d0bb498f2768114"
},
{
"id": "root",
"name": "Awesome App",
"description": "",
"versionValue": "89f74542",
"versionSchema": "Hash",
"statusResult": "Success",
"statusStrategy": "AllSuccess",
"children": ["276f4e36", "f9e31cf3"],
"metadata": {
"kio.pos.x": {
"float": 0
},
"kio.pos.y": {
"float": 0
}
},
"stamp": {
"author": "Actor (system@konstellat.io)",
"timestamp": "2026-02-07T07:03:43.2574257Z",
"message": "Update version for node 276f4e36"
},
"hash": "c4be5492e2e51c2bb42a8de723820568d1495f862aea658e5c2379e0f3499be1"
},
{
"id": "root",
"name": "Awesome App",
"description": "",
"versionValue": "00000000",
"versionSchema": "Hash",
"statusResult": "Success",
"statusStrategy": "AllSuccess",
"children": ["276f4e36", "f9e31cf3"],
"metadata": {
"kio.pos.x": {
"float": 0
},
"kio.pos.y": {
"float": 0
}
},
"stamp": {
"author": "Actor (system@konstellat.io)",
"timestamp": "2026-02-07T07:03:30.7736652Z",
"message": "Update"
},
"hash": "70eead205651352266300f6f14d6458bc56de82fcc4de30f64f938340499c201"
},
{
"id": "root",
"name": "Awesome App",
"description": "",
"versionValue": "0.1.0",
"versionSchema": "SemVer",
"statusResult": "Success",
"statusStrategy": "Manual",
"children": [],
"metadata": {
"kio.pos.x": {
"float": 0
},
"kio.pos.y": {
"float": 0
}
},
"stamp": {
"author": "Actor (system@konstellat.io)",
"timestamp": "2026-02-07T07:02:38.1803805Z",
"message": "Init"
},
"hash": "1b1021c72fc86d1dc3d50a515af89a9fcf0caf9cd81d6f2cdfcdc45c7e331840"
}
]
HTTPS GET
https://api.konstellat.io/api/v1/project/{{projectId}}/node/{{nodeId}}/diff
Query parameters
Name Type Note
projectId  * string Project ID
nodeId  * string Node ID
depth  ** int Maximum diffs to iterate through
skip  ** int How many diffs to skip
count  ** int Maximum diffs to return
* Required
** Read more about pagination here
Required permissions
  • GetProject
  • GetConstellationNode
Example response body
JSON
[
{
"hash": "70eead205651352266300f6f14d6458bc56de82fcc4de30f64f938340499c201",
"shortHash": "70eead20",
"stamp": {
"author": "Actor (system@konstellat.io)",
"timestamp": "2026-02-07T07:03:30.7736652Z",
"message": "Update"
},
"node": {
"id": {
"from": "root",
"to": "root"
},
"name": {
"from": "Awesome App",
"to": "Awesome App"
},
"description": {
"from": "",
"to": ""
},
"versionValue": {
"from": "0.1.0",
"to": "00000000"
},
"versionSchema": {
"from": "SemVer",
"to": "Hash"
},
"statusResult": {
"from": "Success",
"to": "Success"
},
"statusStrategy": {
"from": "Manual",
"to": "AllSuccess"
},
"stamp": {
"from": {
"author": "Actor (system@konstellat.io)",
"timestamp": "2026-02-07T07:02:38.1803805Z",
"message": "Init"
},
"to": {
"author": "Actor (system@konstellat.io)",
"timestamp": "2026-02-07T07:03:30.7736652Z",
"message": "Update"
}
},
"children": [
{
"from": null,
"to": "276f4e36"
},
{
"from": null,
"to": "f9e31cf3"
}
],
"metadata": {
"kio.pos.x": {
"from": {
"float": 0
},
"to": {
"float": 0
}
},
"kio.pos.y": {
"from": {
"float": 0
},
"to": {
"float": 0
}
}
}
}
},
{
"hash": "1b1021c72fc86d1dc3d50a515af89a9fcf0caf9cd81d6f2cdfcdc45c7e331840",
"shortHash": "1b1021c7",
"stamp": {
"author": "Actor (system@konstellat.io)",
"timestamp": "2026-02-07T07:02:38.1803805Z",
"message": "Init"
},
"node": {
"id": {
"from": null,
"to": "root"
},
"name": {
"from": null,
"to": "Awesome App"
},
"description": {
"from": null,
"to": ""
},
"versionValue": {
"from": null,
"to": "0.1.0"
},
"versionSchema": {
"from": null,
"to": "SemVer"
},
"statusResult": {
"from": null,
"to": "Success"
},
"statusStrategy": {
"from": null,
"to": "Manual"
},
"stamp": {
"from": null,
"to": {
"author": "Actor (system@konstellat.io)",
"timestamp": "2026-02-07T07:02:38.1803805Z",
"message": "Init"
}
},
"children": [],
"metadata": {
"kio.pos.x": {
"from": null,
"to": {
"float": 0
}
},
"kio.pos.y": {
"from": null,
"to": {
"float": 0
}
}
}
}
}
]
HTTPS GET
https://api.konstellat.io/api/v1/project/{{projectId}}/node/{{nodeId}}/version
Query parameters
Name Type Note
projectId  * string Project ID
nodeId  * string Node ID
* Required
Required permissions
  • GetProject
  • GetConstellationNode  or GetConstellationNodeVersion
Example response body
JSON
{
"value": "77b76d11",
"schema": "Hash"
}
HTTPS GET
https://api.konstellat.io/api/v1/project/{{projectId}}/node/{{nodeId}}/status
Query parameters
Name Type Note
projectId  * string Project ID
nodeId  * string Node ID
* Required
Required permissions
  • GetProject
  • GetConstellationNode  or GetConstellationNodeStatus
Example response body
JSON
{
"result": "Success",
"strategy": "AllSuccess"
}